Subject: Re: [bitcoin-dev] BIP65 / CHECKLOCKTIMEVERIFY deployment

From: Peter Todd <[email-masked]>
Date: Sun, 28 Jun 2015 15:50:54 -0400

On Thu, Jun 25, 2015 at 06:33:44PM -0400, Peter Todd wrote:
> Thoughts? If there are no objections I'll go ahead and write that code,
> using the same thresholds as BIP66.

I've opened a pull-req to deploy CHECKLOCKTIMEVERIFY via the
IsSuperMajority() mechanism:

    https://github.com/bitcoin/bitcoin/pull/6351

    Final step towards CLTV deployment on mainnet.

    I've copied the logic and tests from the previous BIP66 (DERSIG)
    soft-fork line-by-line for ease of review; any code review applicable to
    BIP66 should be applicable to BIP65.

    Once merged I'll prepare a backport of the soft-fork logic for the
    v0.10.x branch as well.

-- 
'peter'[:-1]@petertodd.org
00000000000000000dbc12bdcb4d0a340272edd649d24849f86a20d075f0dba1